=== debian/control ===
Source: ros-one-rosping
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-mk, ros-one-rosboost-cfg, ros-one-rosbuild, ros-one-roscpp, ros-one-rostest, ros-one-std-msgs
Homepage: http://ros.org/wiki/rosping
Standards-Version: 3.9.2

Package: ros-one-rosping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-roscpp, ros-one-std-msgs
Description: rosping is the tool to send ICMP ECHO_REQUEST to network hosts where roscore is running, and send back to you as rostopic message.
 For echoing ROS node, use rosnode.
