## ros-one-rosping 2.1.31-19jammy.20260220.2208

=== debian/changelog ===
ros-one-rosping (2.1.31-19jammy.20260220.2208) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 20 Feb 2026 22:08:07 +0000
