## ros-one-rosping 2.1.31-19noble.20260220.2217

=== debian/changelog ===
ros-one-rosping (2.1.31-19noble.20260220.2217) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 20 Feb 2026 22:17:59 +0000
